#
# spec file for package gtef
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtef
Version:        2.0.1
Release:        lp152.4.5
Summary:        GNOME Text Editor Framework
License:        LGPL-2.1-or-later
Group:          Productivity/Text/Editors
URL:            https://wiki.gnome.org/Projects/Gtef
Source:         http://download.gnome.org/sources/gtef/2.0/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0) >= 2.52
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.42.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.22.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  pkgconfig(vapigen)

%description
Gtef is a library that eases the development of GtkSourceView-based text
editors and IDEs. Some of the Gtef code comes from gedit.

%package devel
Summary:        GNOME Text Editor Framework
Group:          Development/Libraries/GNOME
Requires:       libgtef-2-0 = %{version}
Requires:       typelib-1_0-Gtef-2_0 = %{version}

%description devel
Gtef is a library that eases the development of GtkSourceView-based text
editors and IDEs. Some of the Gtef code comes from gedit.

%package -n libgtef-2-0
Summary:        GNOME Text Editor Framework
# Languages are provided by API version, hence gtef-2
Group:          System/Libraries
Recommends:     %{name}-2-lang
Provides:       gtef-2 = %{version}

%description -n libgtef-2-0
Gtef is a library that eases the development of GtkSourceView-based text
editors and IDEs. Some of the Gtef code comes from gedit.

%package -n typelib-1_0-Gtef-2_0
Summary:        GNOME Text Editor Framework
Group:          System/Libraries

%description -n typelib-1_0-Gtef-2_0
Gtef is a library that eases the development of GtkSourceView-based text
editors and IDEs. Some of the Gtef code comes from gedit.

This package provides the GObject Introspection bindings for gtef.

%lang_package -n %{name}-2

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}-2

%post   -n libgtef-2-0 -p /sbin/ldconfig
%postun -n libgtef-2-0 -p /sbin/ldconfig

%files -n libgtef-2-0
%license COPYING
%doc NEWS
%{_libdir}/libgtef-2.so.*

%files -n typelib-1_0-Gtef-2_0
%{_libdir}/girepository-1.0/Gtef-2.typelib

%files devel
%doc ABOUT-NLS AUTHORS ChangeLog README
%{_datadir}/gtk-doc/html/%{name}-2.0/
%{_datadir}/gir-1.0/Gtef-2.gir
%{_datadir}/vala/vapi/gtef-2.deps
%{_datadir}/vala/vapi/gtef-2.vapi
%{_includedir}/gtef-2/
%{_libdir}/pkgconfig/gtef-2.pc
%{_libdir}/*.so

%files -n %{name}-2-lang -f %{name}-2.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Apr 24 2017 dimstar@opensuse.org
- Update to version 2.0.1:
  + The bugzilla product has been created.
  + Fix bug in gtef_iter_get_line_indentation().
  + Other small improvements.
  + Updated translations.
* Sun Mar 19 2017 zaitor@opensuse.org
- Update to version 2.0.0:
  + Updated translations.
* Thu Mar 16 2017 dimstar@opensuse.org
- Rename gtef-lang package to gtef-2-lang: this matches more
  closely the content of the package and would allow for potential
  parallel installability of different API versions of gtef.
- Provide gtef-2 by libgtef-2-0: needed in order to make the -lang
  package installable.
* Sun Mar 12 2017 zaitor@opensuse.org
- Update to version 1.99.2:
  + Basic GtkUIManager replacement based on GAction.
  + Add an easy way to create a GtkMenuItem from a GtefActionInfo.
  + Add a function to check that every GtefActionInfo in a
    GtefActionInfoStore has been used.
  + Add reference counting to GtefActionInfo.
  + Add GtefActionInfoCentralStore singleton class.
  + Add gtef_action_map_add_action_entries_check_dups(), to check
    if there are duplicates when adding GActions to a GActionMap.
  + Rename gtef_application_get_action_info_store() to
    gtef_application_get_app_action_info_store().
  + Add GtefMenuShell, an extension of GtkMenuShell with the
    ::menu-item-selected and ::menu-item-deselected signals.
  + Add gtef_menu_item_get/set_long_description().
  + Add GtefApplicationWindow, an extension of GtkApplicationWindow
    with:
  - A statusbar property.
  - A function to connect a GtefMenuShell to the statusbar,
    pushing/popping the long descriptions of GtkMenuItems when
    they are selected/deselected.
  - A function to connect a GtkRecentChooserMenu to the
    statusbar, pushing/popping the full paths.
  - A function to create a GtkMenuItem with a simple and generic
    GtkRecentChooserMenu as submenu.
  + Misc:
  - Add gtef_application_open_simple().
  - Replace GNOME by GTK+ in the Gtef acronym. Gtef now stands
    for “GTK+ Text Editor Framework”.
  - The project is now hosted on gnome.org!
    https://wiki.gnome.org/Projects/Gtef
    The bugzilla product is not yet created.
- Update Url and Source to new home.
- Split out lang package, gtef now has translations.
* Mon Jan 30 2017 firebird209@gmail.com
- Initial package for gtef.
